# Created by pyp2rpm-3.2.2
%global pypi_name pywebpush

Name:           python-%{pypi_name}
Version:        2.0.3
Release:        1%{?dist}
Summary:        WebPush publication library

License:        MPL2
URL:            https://github.com/web-push-libs/pywebpush
Source0:        %pypi_source
BuildArch:      noarch
 
BuildRequires:  python3-mock >= 2.0.0
BuildRequires:  python3dist(pytest)

%generate_buildrequires
%pyproject_buildrequires

%description
|Build Status| |Requirements Status|Webpush Data encryption library for Python
This is a work in progress. This library is available on pypi as pywebpush <
Source is available on github < You'll need to run python virtualenv. Then::
bin/pip install r requirements.txt bin/python setup.py developUsage In the
browser, the promise handler for registration.pushManager.subscribe() < returns
a...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3-cryptography >= 1.8.1
Requires:       python3-http-ece >= 1.0.5
Requires:       python3-requests >= 2.13.0
Requires:       python3-py-vapid >= 1.3.0
%description -n python3-%{pypi_name}
|Build Status| |Requirements Status|Webpush Data encryption library for Python
This is a work in progress. This library is available on pypi as pywebpush <
Source is available on github < You'll need to run python virtualenv. Then::
bin/pip install r requirements.txt bin/python setup.py developUsage In the
browser, the promise handler for registration.pushManager.subscribe() < returns
a...


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest -m "not network"


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst README.md CHANGELOG.md
%{_bindir}/pywebpush


%changelog
* Wed Mar 12 2025 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 2.0.3-1
- Update to upstream.

* Sat Oct 30 2021 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.14.0-1
- Update to upstream.

* Tue Apr 27 2021 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.13.0-1
- Update to upstream.

* Mon Oct 21 2019 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.10.0-1
- Update to upstream.

* Thu May 02 2019 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.7.0-2
- Removed python2 support.

* Wed Oct 31 2018 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.7.0-1
- Update to upstream.

* Sat Jan 27 2018 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.5.0-1
- Initial package.
